Subject: Re: Remote branchs -- how can I check them out?

From: Konstantin Khomoutov <[email-masked]>
Date: Sun, 30 Jan 2011 19:05:57 +0300

On Sun, Jan 30, 2011 at 01:05:07PM -0200, João Paulo Melo de Sampaio wrote:

> When I just cloned git using
> 
>     git clone git://git.kernel.org/pub/scm/git/git.git
> 
> and I type
> 
>     git branch
> 
> it shows me I have only the 'master' branch in my local repository
> 
>     * master
> 
> and when I type
> 
>     git branch -a
> 
> it shows that there's all these branches remotely
> 
>     * master
>       remotes/origin/HEAD -> origin/master
>       remotes/origin/html
>       remotes/origin/maint
>       remotes/origin/man
>       remotes/origin/master
>       remotes/origin/next
>       remotes/origin/pu
>       remotes/origin/todo
> 
> What do I have to do to be able to see what's in the 'maint', 'next'
> and 'todo' branches, for example?
These branches are local to your repository. They are "remote" in the
sense you're not supposed to modify them directly.
So to inspect such a branch just use its full name ("origin/next" for
instance) when working with commands like git-log.

See [1], [2] for more info.

Also your question appears to be quite basic which hints at that you did
not read a good book on Git before using it.  So starting at [3] is
recommended -- it mentions a bunch of good books and manuals (some of
which are available freely).

1. http://www.kernel.org/pub/software/scm/git/docs/user-manual.html#examining-remote-branches
2. http://progit.org/book/ch3-5.html
3. http://git-scm.com/documentation